--- old/usr/src/uts/intel/emlxs/Makefile	Mon Aug  5 08:38:54 2019
+++ new/usr/src/uts/intel/emlxs/Makefile	Mon Aug  5 08:38:54 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
 #
 # This makefile drives the production of the emlxs driver kernel module.
 #
@@ -36,7 +36,6 @@
 #
 MODULE		= emlxs
 OBJECTS		= $(EMLXS_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(EMLXS_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 CONF_SRCDIR	= $(UTSBASE)/common/io/fibre-channel/fca/emlxs
 
@@ -50,7 +49,6 @@
 #	Define targets
 #
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
-LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 EMLXS_FLAGS             = -DEMLXS_I386
@@ -60,7 +58,6 @@
 EMLXS_CFLAGS            = $(EMLXS_FLAGS)
 EMLXS_LFLAGS            = $(EMLXS_FLAGS)
 CFLAGS	                += $(EMLXS_CFLAGS) -DEMLXS_ARCH=\"$(CLASS)\"
-LINTTAGS                += $(EMLXS_LFLAGS) -DEMLXS_ARCH=\"$(CLASS)\"
 
 
 #
@@ -82,21 +79,12 @@
 LDFLAGS		+= -dy -Nmisc/md5 -Nmisc/sha1
 LDFLAGS		+= -Nmisc/bignum -Nmisc/fctl
 
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-#
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_STATIC_UNUSED
-LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
-LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
-LINTTAGS	+= -erroff=E_INCONS_VAL_TYPE_DECL2
-
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
-SMOFF += indenting,deref_check,all_func_returns
+# needs work
+SMOFF += indenting,deref_check,all_func_returns,index_overflow
 
 # seems definitely wrong
 $(OBJS_DIR)/emlxs_fcf.o := SMOFF += logical_instead_of_bitwise
@@ -114,12 +102,6 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
 #
--- old/usr/src/uts/intel/genunix/Makefile	Mon Aug  5 08:38:55 2019
+++ new/usr/src/uts/intel/genunix/Makefile	Mon Aug  5 08:38:55 2019
@@ -23,14 +23,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2018, Joyent, Inc.
-
+# Copyright 2019 Joyent, Inc.
 #
-#	This makefile drives the production of the generic
-#	unix kernel module.
-#
-#	x86 implementation architecture dependent
-#
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -46,9 +40,6 @@
 OBJECTS		= $(GENUNIX_OBJS:%=$(OBJS_DIR)/%) \
 		  $(NOT_YET_KMODS:%=$(OBJS_DIR)/%)
 
-LINTS		= $(GENUNIX_OBJS:%.o=$(LINTS_DIR)/%.ln) \
-		  $(NOT_YET_KMODS:%.o=$(LINTS_DIR)/%.ln)
-
 ROOTMODULE	= $(ROOT_KERN_DIR)/$(MODULE)
 
 LIBGEN		= $(OBJS_DIR)/libgenunix.so
@@ -63,7 +54,6 @@
 #	Define targets
 #
 ALL_TARGET	= $(LIBGEN) $(GENUNIX)
-LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(LIBGEN) $(GENUNIX) $(ROOTMODULE)
 
 #
@@ -88,18 +78,6 @@
 
 CPPFLAGS	+= -I$(UTSBASE)/i86pc
 
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-# Please do not carry these forward to new Makefiles.
-#
-LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
-LINTTAGS	+= -erroff=E_STATIC_UNUSED
-LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
-LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
-
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-value
@@ -111,6 +89,9 @@
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# very hairy
+$(OBJS_DIR)/u8_textprep.o := SMATCH=off
+
 # false positives
 SMOFF += index_overflow
 $(OBJS_DIR)/seg_vn.o := SMOFF += deref_check
@@ -130,12 +111,6 @@
 $(OBJS_DIR)/acl_common.o := SMOFF += or_vs_and
 
 #
-# Ensure that lint sees 'struct cpu' containing a fully declared
-# embedded 'struct machcpu'
-#
-LINTFLAGS	+= -D_MACHDEP -I../../i86pc
-
-#
 #	Default build targets.
 #
 .KEEP_STATE:
@@ -148,12 +123,6 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
 # Due to what seems to be an issue in GCC 4 generated DWARF containing
@@ -190,8 +159,3 @@
 include	$(UTSBASE)/i86pc/Makefile.workarounds
 
 ALL_DEFS += $(WORKAROUND_DEFS)
-
-#
-# Override.
-#
-$(MODULE).lint := GEN_LINT_LIB =
--- old/usr/src/uts/intel/mega_sas/Makefile	Mon Aug  5 08:38:55 2019
+++ new/usr/src/uts/intel/mega_sas/Makefile	Mon Aug  5 08:38:55 2019
@@ -21,15 +21,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2018, Joyent, Inc.
-
+# Copyright 2019 Joyent, Inc.
 #
-# uts/intel/mega_sas/Makefile
-#
-#	This makefile drives the production of the mega_sas driver kernel module.
-#
-#	intel implementation architecture dependent
-#
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -41,7 +34,6 @@
 #
 MODULE		= mega_sas
 OBJECTS		= $(MEGA_SAS_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(MEGA_SAS_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 CONF_SRCDIR     = $(UTSBASE)/common/io/mega_sas
 
@@ -54,11 +46,10 @@
 #	Define targets
 #
 ALL_TARGET	= $(BINARY) $(CONFMOD)
-LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 #
-# 	Kernel Module Dependencies
+#	Kernel Module Dependencies
 #
 LDFLAGS		+= -dy -Nmisc/scsi
 
@@ -65,7 +56,7 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
 # needs work
-$(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns
+$(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns,index_overflow
 
 #
 #	Default build targets.
@@ -80,12 +71,6 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
 #
--- old/usr/src/uts/intel/simnet/Makefile	Mon Aug  5 08:38:56 2019
+++ new/usr/src/uts/intel/simnet/Makefile	Mon Aug  5 08:38:56 2019
@@ -22,7 +22,10 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2019 Joyent, Inc.
 #
+
+#
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -32,7 +35,6 @@
 #
 MODULE		= simnet
 OBJECTS		= $(SIMNET_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(SIMNET_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 CONF_SRCDIR	= $(UTSBASE)/common/io/$(MODULE)
 
@@ -45,7 +47,6 @@
 # Define targets
 #
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
-LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 #
@@ -56,6 +57,9 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/simnet.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
@@ -69,12 +73,6 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
 #
--- old/usr/src/uts/intel/spppcomp/Makefile	Mon Aug  5 08:38:56 2019
+++ new/usr/src/uts/intel/spppcomp/Makefile	Mon Aug  5 08:38:56 2019
@@ -25,7 +25,8 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
+#
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -37,7 +38,6 @@
 #
 MODULE		= spppcomp
 OBJECTS		= $(SPPPCOMP_OBJS:%=$(OBJS_DIR)/%)
-LINTS           = $(SPPPCOMP_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(USR_STRMOD_DIR)/$(MODULE)
 
 #
@@ -49,7 +49,6 @@
 #	Define targets
 #
 ALL_TARGET	= $(BINARY)
-LINT_TARGET     = $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 #
@@ -57,25 +56,16 @@
 #
 CPPFLAGS	+= -DINTERNAL_BUILD -DSOL2 -DMUX_FRAME
 
-# 
+#
 #	Additional compiler definitions
-# 
+#
 INC_PATH	+= -I$(UTSBASE)/common/io/ppp/common
 
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-# Please do not carry these forward to new Makefiles.
-#
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
-LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
-
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
 # needs work
-SMOFF += indenting
+SMOFF += indenting,index_overflow
 
 #
 # Depends on sppp
@@ -95,17 +85,8 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/ppp/spppcomp/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/ppp/spppcomp/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
--- old/usr/src/uts/intel/xge/Makefile	Mon Aug  5 08:38:56 2019
+++ new/usr/src/uts/intel/xge/Makefile	Mon Aug  5 08:38:56 2019
@@ -23,7 +23,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
+#
 
 #
 #	Paths to the base of the uts directory trees
@@ -35,7 +36,6 @@
 #
 MODULE		= xge
 OBJECTS		= $(XGE_HAL_OBJS:%=$(OBJS_DIR)/%) $(XGE_OBJS:%=$(OBJS_DIR)/%)
-LINTS		= $(XGE_HAL_OBJS:%.o=$(LINTS_DIR)/%.ln) $(XGE_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 
 #
@@ -47,7 +47,6 @@
 #	Define targets
 #
 ALL_TARGET	= $(BINARY)
-LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 #
@@ -74,7 +73,7 @@
 #TRACE_CFLAGS = -DXGE_DEBUG_MODULE_MASK=0xffffffff \
 #		-DXGE_DEBUG_TRACE_MASK=0xffffffff \
 #		-DXGE_DEBUG_ERR_MASK=0xffffffff
-TRACE_CFLAGS 	= -DXGE_DEBUG_MODULE_MASK=0x00003010 \
+TRACE_CFLAGS	= -DXGE_DEBUG_MODULE_MASK=0x00003010 \
 		-DXGE_DEBUG_TRACE_MASK=0x00000000  \
 		-DXGE_DEBUG_ERR_MASK=0x00003010
 
@@ -91,19 +90,6 @@
 #
 LDFLAGS		+=  -dy -N misc/mac -N drv/ip
 
-#	Lint flag
-#
-LINTFLAGS	+= $(XGE_CFLAGS) -Xc99=%all
-
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-# Please do not carry these forward to new Makefiles.
-#
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_STATIC_UNUSED
-LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
-
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
@@ -111,7 +97,10 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
 # needs work
-SMOFF += indenting,all_func_returns,no_if_block
+SMOFF += indenting
+SMOFF += all_func_returns
+SMOFF += no_if_block
+SMOFF += allocating_enough_data
 
 #
 #
@@ -127,12 +116,6 @@
 
 clobber:	$(CLOBBER_DEPS)
 
-lint:		$(LINT_DEPS)
-
-modlintlib:	$(MODLINTLIB_DEPS)
-
-clean.lint:	$(CLEAN_LINT_DEPS)
-
 install:	$(INSTALL_DEPS)
 
 #
